XmlMethodSelector (TestNG)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng.xml
Class XmlMethodSelector

    java.lang.Object
      org.testng.xml.XmlMethodSelector

    public class XmlMethodSelector

extends java.lang.Object

This class describes the tag in testng.xml. Created on Sep 26, 2005

Author:
  cbeust, Alexandru Popescu

Constructor Summary
`XmlMethodSelector()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getExpression()`
`java.lang.String` | `getLanguage()`
`int` | `getPriority()`
`int` | `hashCode()`
`void` | `setClassName(java.lang.String s)`
`void` | `setElement(java.lang.String name, java.lang.String priority)`
`void` | `setExpression(java.lang.String expression)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setName(java.lang.String name)`
`void` | `setPriority(int priority)`
`void` | `setScript(XmlScript script)`
`java.lang.String` | `toXml(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlMethodSelector

    public XmlMethodSelector()

Method Detail

### setClassName

    public void setClassName(java.lang.String s)

### getClassName

    public java.lang.String getClassName()

### setElement

    public void setElement(java.lang.String name,
                           java.lang.String priority)

### setName

    public void setName(java.lang.String name)

### setScript

    public void setScript(XmlScript script)

### getExpression

    public java.lang.String getExpression()

  Returns:
    Returns the expression.

### setExpression

    public void setExpression(java.lang.String expression)

  Parameters:
    `expression` - The expression to set.

### getLanguage

    public java.lang.String getLanguage()

  Returns:
    Returns the language.

### setLanguage

    public void setLanguage(java.lang.String language)

  Parameters:
    `language` - The language to set.

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### toXml

    public java.lang.String toXml(java.lang.String indent)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD